if(!dojo._hasResource["com.ibm.mm.builder.dnd.Avatar"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.dnd.Avatar"] = true;
/**
 * @author Jarod(zhangpy@cn.ibm.com)
 */
dojo.provide("com.ibm.mm.builder.dnd.Avatar");

dojo.declare("com.ibm.mm.builder.dnd.Avatar", dojo.dnd.Avatar, {

	construct: function(){
		
		var a = dojo.doc.createElement("div");
		a.className = "dojoDndAvatar";
		a.style.position = "absolute";
		a.style.zIndex = 1999;
		a.style.margin = "0px"; // to avoid dojo.marginBox() problems with table's margins
		var k = Math.min(5, this.manager.nodes.length);
		var source = this.manager.source, node;
		for(var i = 0; i < k; ++i){
			if(source.creator){
				// create an avatar representation of the node
				node = source._normalizedCreator(source.getItem(this.manager.nodes[i].id).data, "avatar").node;
			}else{
				// or just clone the node and hope it works
				node = this.manager.nodes[i].cloneNode(true);
				if(node.tagName.toLowerCase() == "tr"){
					// insert extra table nodes
					var table = document.createElement("table"),
						tbody = document.createElement("tbody");
					tbody.appendChild(node);
					table.appendChild(tbody);
					node = table;
				}
			}
			node.id = "";
			a.appendChild(node);
		}
		this.node = a;
	},
	
	update: function(){
		//no need to update avatar in mashups
	}
});

}
