/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ac.SpaceAccessControlModel");

dojo.require("com.ibm.mashups.enabler.ac.AccessControlModel");

//<INTERFACE>
/**
 * Interface for a space access control model.
 *
 * @ibm-api
 * @ibm-module AccessControlModel
 */
dojo.declare("com.ibm.mashups.enabler.ac.SpaceAccessControlModel", com.ibm.mashups.enabler.ac.AccessControlModel, {
    /**
     * Returns a Deferred object to obtain the owner.
     * @type com.ibm.mashups.enabler.Deferred(Object)
     * @return a deferred object used to start this operation. The return value
     * when executed through the deferred object is the owner
     * @ibm-api
     */
    getOwnerDeferred: function(){
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.ac.SpaceAccessControlModelImpl");
