/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.layout.LayoutNode");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.ModifiableMetaData");
dojo.require("com.ibm.mashups.enabler.Identifiable");
dojo.require("com.ibm.mashups.enabler.Transformable");

/**
 * Base interface for layout elements.
 *
 * @ibm-api
 * @ibm-module LayoutModel
 */
dojo.declare("com.ibm.mashups.enabler.layout.LayoutNode", [com.ibm.mashups.enabler.Transformable, com.ibm.mashups.enabler.ModifiableMetaData, com.ibm.mashups.enabler.Identifiable], {
	/**
	 * Returns the type of this layout node as defined in {@link com.ibm.mashups.enabler.layout.Constants Constants}.
	 * @return {String} type of this layout node  
	 */
	getLayoutNodeType : function() {
        throw new Error('Unimplemented API: com.ibm.mashups.enabler.layout.LayoutNode.getLayoutNodeType');
	}
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.layout.LayoutNodeImpl");
