/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.widget.ModifiableEvent");

dojo.require("com.ibm.mashups.enabler.widget.Event");
dojo.require("com.ibm.mashups.enabler.ModifiableLocalized");
dojo.require("com.ibm.mashups.enabler.DirtyFlagProvider");

/**
 * An interface representing an widget event. It can be obtained through an&nbsp; {@link com.ibm.mashups.enabler.widget.EventProvider EventProvider}.
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module WidgetModel
 */
dojo.declare("com.ibm.mashups.enabler.widget.ModifiableEvent", [com.ibm.mashups.enabler.widget.Event,
                                                                com.ibm.mashups.enabler.ModifiableLocalized,
                                                                com.ibm.mashups.enabler.DirtyFlagProvider], {
    /**
     * Set's the name of this event.
     * @param {String} name the name of this event.
     * @return {void}
     */
    setName: function(name) {
    },

//    /**
//     * Set's whether this event is published or not.
//     * @param {boolean} published whether this event is published or not.
//     * @return {void}
//     */
//    setPublished: function(published) {
//    },
//
//    /**
//     * Set's whether this event is handled or not.
//     * @param {boolean} handled whether this event is handled or not.
//     * @return {void}
//     */
//    setHandled: function(handled) {
//    },

    /**
     * Set's the payload type of this event.
     * @param {String} payloadType the payload type of this event.
     * @return {void}
     */
    setPayloadType: function(payloadType) {
    }
});

