-- ***************************************************************** 
--                                                                   
-- Licensed Materials - Property of IBM                              
--                                                                   
-- 5724-U69                                                          
--                                                                   
-- Copyright IBM Corp. 2012  All Rights Reserved.                    
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
--                                                                   
-- ***************************************************************** 


-- *****************************************************************
--
-- LAYOUT_MARKUP_NODE (1500)
--
-- *****************************************************************
DROP TABLE @SCHEMA@.LAYOUT_MARKUP_NODE;

CREATE TABLE @SCHEMA@.LAYOUT_MARKUP_NODE (
	PAGE_OID    VARCHAR(64)           NOT NULL,
	CREATED     BIGINT                NOT NULL,
	MODIFIED    BIGINT                NOT NULL,
	CONTENT     BLOB(1M),
 	CONSTRAINT PK1500 PRIMARY KEY (PAGE_OID)
)
-- IN MASHUPSREGTABSPACE
;

ALTER TABLE @SCHEMA@.WIREITEM
  ADD S_EVENTNAME VARCHAR(255);

ALTER TABLE @SCHEMA@.WIREITEM
  ADD T_EVENTNAME VARCHAR(255);

DROP TABLE @SCHEMA@.PREFERENCE_VALUE;

DROP TABLE @SCHEMA@.PREFERENCE;

ALTER TABLE @SCHEMA@.WIDGET_DEFINITION DROP COLUMN WEBAPP_NAME;
ALTER TABLE @SCHEMA@.WIDGET_DEFINITION DROP COLUMN SUPPORTED_MODES;
ALTER TABLE @SCHEMA@.WIDGET_DEFINITION DROP COLUMN SANDBOX;
REORG TABLE @SCHEMA@.WIDGET_DEFINITION;

UPDATE @SCHEMA@.VERSION_INFO SET VERSION_DEV = 15 WHERE OID = '458202233263219661970198300000000000';
