if(!dojo._hasResource["com.ibm.mm.builder.dnd.Manager"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.dnd.Manager"] = true;
/**
 * Lotus Mashups DND manager
 * @author Jarod(zhangpy@cn.ibm.com)
 */
dojo.provide("com.ibm.mm.builder.dnd.Manager");

dojo.require("dojo.dnd.Manager");
dojo.require("com.ibm.mm.builder.dnd.Avatar");

var dojoDndManagerOffsetX = dojo.dnd.manager().OFFSET_X;
var dojoDndManagerOffsetY = dojo.dnd.manager().OFFSET_Y;

var dojoDndManagerStartDrag = dojo.dnd.manager().startDrag;
dojo.dnd.manager().startDrag = function(source, nodes, copy){
	if (source && source.declaredClass &&
		source.declaredClass.indexOf("com.ibm.mm.builder.dnd") === 0) {
	
		dojo.dnd.manager().OFFSET_X = 1;
		dojo.dnd.manager().OFFSET_Y = 1;
	}
	dojoDndManagerStartDrag.call(this, source, nodes, copy);
};

var dojoDndManagerStopDrag = dojo.dnd.manager().stopDrag;
dojo.dnd.manager().stopDrag = function(){
	if (this.source && this.source.declaredClass &&
		this.source.declaredClass.indexOf("com.ibm.mm.builder.dnd") === 0) {
		
		dojo.dnd.manager().OFFSET_X = dojoDndManagerOffsetX;
		dojo.dnd.manager().OFFSET_Y = dojoDndManagerOffsetY;
	}
	dojoDndManagerStopDrag.call(this);
};

var dojoDndManagerOnMouseMove = dojo.dnd.manager().onMouseMove;
dojo.dnd.manager().onMouseMove = function(e){
	if (this.source && this.source.moving) {
		this.source.moving(e);
	
	} else {
		dojoDndManagerOnMouseMove.call(this, e);
	}
};

var dojoDndManagerMakeAvatar = dojo.dnd.manager().makeAvatar;
dojo.dnd.manager().makeAvatar = function(){
	if (this.source && this.source.declaredClass && 
		this.source.declaredClass.indexOf("com.ibm.mm.builder.dnd") === 0) {
		return new com.ibm.mm.builder.dnd.Avatar(this);
	
	} else {
		return dojoDndManagerMakeAvatar.call(this);
	}
};

}
