dojo.provide("com.ibm.pb.extension.contextmenu.ContextMenuAcOperation");
dojo.declare("com.ibm.pb.extension.contextmenu.ContextMenuAcOperation", [com.ibm.mashups.enabler.ac.operation.Operation], {
	id: "none",
	url: "",
	sync: true,
	roleCheck: "",
	finished: null,
	allowed: false,
	
    constructor: function(id, url, sync, roleCheck, finished){
		if(!com.ibm.pb.extension.contextmenu.ContextMenuAcOperation.allowedOperations) com.ibm.pb.extension.contextmenu.ContextMenuAcOperation.allowedOperations = {};
		this.id = id;
		this.url = url;
		this.sync = sync;
		this.roleCheck = roleCheck;
		this.finished = finished || function(){};
		this._checkForFeed();
    },
	
	_checkForFeed: function(){
		if(com.ibm.pb.extension.contextmenu.ContextMenuAcOperation.allowedOperations[this.id]) {
			if(com.ibm.pb.extension.contextmenu.ContextMenuAcOperation.allowedOperations[this.id][this.roleCheck]) { this.allowed = true; }
			else { this.allowed = false; }
			this.finished(this);
		} else {
			this._getXml();
		}
	},
	
	_getXml: function(){
		var me = this,
			useString = dojo.isIE || dojo.isOpera || dojo.isFF < 3.5;
		dojo.xhrGet ({
			url: this.url,
			handleAs: (useString) ? "text" : "xml",
			sync: this.sync,
			load: function(data){
				var xml = data;
				com.ibm.pb.extension.contextmenu.ContextMenuAcOperation.allowedOperations[me.id] = {};
				if(useString){
					var menuItems = xml.match(/label="(\w+)"/g);
					for(var i in menuItems){
						if((typeof menuItems[i]) == "string") {
							var label = menuItems[i].substring(7,menuItems[i].length-1);
							com.ibm.pb.extension.contextmenu.ContextMenuAcOperation.allowedOperations[me.id][label] = true;
						}
					}
				} else {
					var menuItems = xml.querySelectorAll("menuitem");
					for(var i in menuItems){
						if(menuItems[i].getAttribute){
							var label = menuItems[i].getAttribute("label");
							com.ibm.pb.extension.contextmenu.ContextMenuAcOperation.allowedOperations[me.id][label] = true;
						}
					}
				}
				me._checkForFeed();
			}
		});
	},
	
	isAllowed: function(context){
		return this.allowed;
	}
});
