/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.DefaultLocalized");

/**
 * Read-Only interface providing methods to obtain default title, description,
 * and locale
 * @ibm-spi
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.DefaultLocalized", null, {

    /**
     * Returns the default locale.<br>
     * <br>
     * @return {String} the default locale; may be <code>null</code>.
     */
    getDefaultLocale: function(){
    },
    
    /**
     * Returns the default title.
     * @return {String} the default title of this node; may be <code>null</code>.
     */
    getDefaultTitle: function(){
    },
    
    /**
     * Returns the default description of this object.
     * @return {String} the default description; may be <code>null</code>.
     */
    getDefaultDescription: function(){
    }
});
