/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.catalog.Factory");

//<INTERFACE>
//dojo..require("com.ibm.mashups.enabler.model.CatalogCategoryModel");

/**
 * Catalog category model factory.
 *
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 * 
 * @ibm-api
 * @ibm-module CoreModel
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.catalog.Factory", null, {
    /**
     * Returns the catalog category model.
     *
     * @return {com.ibm.mashups.enabler.model.CatalogCategoryModel} catalog category model, never <code>null</code>
     */
    getCatalogCategoryModel: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.catalog.FactoryImpl");
