/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.io.XHRMultipartFactory");

dojo.require("com.ibm.mashups.enabler.io.XHRMultipart");
//<INTERFACE>
/**
 * Interface representing the XHR multipart handler factory
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.io.XHRMultipartFactory", null, {

    /**
     * Returns a new XHR multipart handler
     * 
     * @return {com.ibm.mashups.enabler.io.XHRMultipart} a new multipart
     * handler, never <code>null</code>
     */
    create: function(){
    },
    
    /**
     * Returns if multipart is enabled on the server
     * @return {Boolean} <code>true</code> if multipart is
     * enabled, <code>false</code> otherwise
     */
    isMultipartEnabled: function(){
    },
    
    /**
     * Returns if application widgets should be fetched in multipart requests
     * @return {Boolean} <code>true</code> if application widgets should be
     * fetched in multipart requests, <code>false</code> otherwise
     */
    isMultipartApplicationWidgets: function(){
    }
});
//</INTERFACE>
dojo.require( "com.ibm.mm.enabler.io.XHRMultipartFactoryImpl" );
