/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.widget.WireProviderFactory");

/**
 * @private
 * @ibm-module iWidget
 */
dojo.declare("com.ibm.mashups.iwidget.widget.WireProviderFactory",null,  {
    /**
     * Creates wire provider for the specified widget and persistence mode.
     * 
     * @param {com.ibm.mashups.iwidget.widget.IWidgetInstance} widgetInstance the widget for which to create the persistent attributes
     * @param {String} persistenceMode the persistence mode for which to create the attributes
     * @return {com.ibm.mashups.iwidget.widget.WireProvider} wire provider the given widget / mode. 
     * If the specified mode is not supported by this method <tt>null</tt> will be returned.
     */
    createWireProvider: function(widgetInstance, persistenceMode) {
        
    },
    /**
     * Returns the persistence modes that are supported by this factory.
     * @return {String[]} the supported persistence modes.
     */
    getSupportedPersistenceMode: function() {
        
    }
});
